Debian Bug report logs - #397354
devscripts: uscan doesn't set http agent, causing BerliOS to trigger Error 403

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Tobias Grimm <tg@e-tobi.net>

Date: Mon, 6 Nov 2006 19:48:02 UTC

Severity: normal

Found in version devscripts/2.9.22

Fixed in version devscripts/2.9.24

Done: Julian Gilbey <jdg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tg@e-tobi.net, tobias.grimm@e-tobi.net, Julian Gilbey <jdg@debian.org>:
Bug#397354; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Tobias Grimm <tg@e-tobi.net>:
New Bug report received and forwarded. Copy sent to tg@e-tobi.net, tobias.grimm@e-tobi.net, Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tobias Grimm <tg@e-tobi.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: devscripts: uscan doesn't set http agent, causing BerliOS to trigger Error 403
Date: Mon, 06 Nov 2006 20:38:02 +0100
Package: devscripts
Version: 2.9.22
Severity: normal


uscan doesn't set a http user agent string. Recent changes on the BerliOS servers
seem to reject request with error 403, when no user agent string is provided.

Setting:

    $user_agent->agent('Debian uscan');

....does solve this problem.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-k7
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages devscripts depends on:
ii  debianutils                  2.17        Miscellaneous utilities specific t
ii  dpkg-dev                     1.13.22     package building tools for Debian
ii  libc6                        2.3.6.ds1-7 GNU C Library: Shared libraries
ii  perl                         5.8.8-6.1   Larry Wall's Practical Extraction 
ii  sed                          4.1.5-1     The GNU sed stream editor

Versions of packages devscripts recommends:
ii  fakeroot                      1.5.10     Gives a fake root environment

-- no debconf information



Tags added: pending Request was from Julian Gilbey <jdg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Julian Gilbey <jdg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tobias Grimm <tg@e-tobi.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 397354-close@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: 397354-close@bugs.debian.org
Subject: Bug#397354: fixed in devscripts 2.9.24
Date: Wed, 08 Nov 2006 11:47:23 -0800
Source: devscripts
Source-Version: 2.9.24

We believe that the bug you reported is fixed in the latest version of
devscripts, which is due to be installed in the Debian FTP archive:

devscripts_2.9.24.dsc
  to pool/main/d/devscripts/devscripts_2.9.24.dsc
devscripts_2.9.24.tar.gz
  to pool/main/d/devscripts/devscripts_2.9.24.tar.gz
devscripts_2.9.24_i386.deb
  to pool/main/d/devscripts/devscripts_2.9.24_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 397354@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Gilbey <jdg@debian.org> (supplier of updated devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  8 Nov 2006 19:16:22 +0000
Source: devscripts
Binary: devscripts
Architecture: source i386
Version: 2.9.24
Distribution: unstable
Urgency: low
Maintainer: Julian Gilbey <jdg@debian.org>
Changed-By: Julian Gilbey <jdg@debian.org>
Description: 
 devscripts - Scripts to make the life of a Debian Package maintainer easier
Closes: 364479 376237 376932 379614 385673 386123 387293 392977 394627 396232 397354 397546
Changes: 
 devscripts (2.9.24) unstable; urgency=low
 .
   * debc/debi: handle multi-arch .changes files (Closes: #385673)
   * debchange: allow non-official distributions (Closes: #397546)
   * debdiff: handle files moving between multiple packages correctly
     (Closes: #392977)
   * debuild: make -B -b work sensibly (Closes: #396232)
   * debuild: don't check for .orig.tar.gz if we're doing a binary-only
     build (Closes: #394627)
   * dget: improve manpage (Closes: #376237)
   * dget: warn and exit with error if URL cannot be downloaded (Closes:
     #376932)
   * mass-bug: don't wrap signatures (Closes: #386123)
   * nmudiff: clean up properly, and abort on editor error
   * tagpending: make -v mean verbose; add long option names (Closes:
     #387293)
   * uscan: set HTTP user agent name (Closes: #397354)
   * wnpp-alert: check return status of wget calls (Closes: #364479)
   * [I18N] Include new versions of French manpages (Closes: #379614)
Files: 
 acbbc61447ce031d6fd6e25455967079 664 devel optional devscripts_2.9.24.dsc
 33b57318a657f41d335e3ef76632ed23 427298 devel optional devscripts_2.9.24.tar.gz
 4ad99c38c503313dbcbd8f48e1f6e915 384108 devel optional devscripts_2.9.24_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFUjI1DU59w/205FkRAppaAJ0d6caD2/HezNsS/vt6xXCpcMM3lQCggJ6x
zSihJrZmhO2qexlkq+NPgB4=
=rzVK
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#397354; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. Full text and rfc822 format available.

Message #17 received at 397354@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Julian Gilbey <jdg@polya.uklinux.net>
Cc: Justin Pryzby <justinpryzby@users.sourceforge.net>, Andreas Bresser <bresser@informatik.uni-bremen.de>, debian-mentors@lists.debian.org, devscripts@packages.debian.org, devscripts@packages.qa.debian.org, 397354@bugs.debian.org
Subject: Re: debian/watch file and berlios
Date: Mon, 19 Mar 2007 23:41:56 -0400
I am sorry if I am trying to wake up a dead issue, but 

On Thu, 23 Nov 2006, Julian Gilbey wrote:
> On Wed, Nov 22, 2006 at 11:17:29AM -0500, Justin Pryzby wrote:
> > I think there are 2 problems:
> > - Berlios apparently rejects based on User-Agent.
> Fixed in 2.9.24, I believe.

Indeed there is a changelog entry:
  * uscan: set HTTP user agent name (Closes: #397354)

and current 2.9.27 version of uscan has:

$user_agent->agent('Debian uscan 2.9.27');

and my uscan fails with:

,---
| -- In debian/watch, processing watchfile line:
|    opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=7729  http://prdownload.berlios.de/keyjnotegui/keyjnotegui-(.*).tar.bz2
| uscan warning: In watchfile debian/watch, reading webpage
|  http://developer.berlios.de/project/showfiles.php?group_id=7729 failed: 403 Forbidden
`---

so imho issue persists since berlios seems to don't allow uscan as the
agent effectively bringing #397354 back alive:

,---
| *$>  lynx -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729' | head -3
|
|       [1]BerliOS :    [2]DevCounter   [3]WebCalendar   [4]Developer
|     [5]SourceAgency   [6]SourceLines    [7]Partners   [8]Contact Us
|
| $>  lynx -useragent='Debian uscan 2.9.27' -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729'
| Warning: User-Agent string does not contain "Lynx" or "L_y_n_x"!
|
|                                    Forbidden
|
|    You don't have permission to access /project/showfiles.php on this
|    server.
|      _________________________________________________________________
|
|
|     Apache/1.3.34 Server at developer.berlios.de Port 80
`---


P.S. Sorry for an extensive list of Addressees -- just wanted to
follow-up on existing thread/issue.

-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#397354; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to James Vega <jamessan@debian.org>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. Full text and rfc822 format available.

Message #22 received at 397354@bugs.debian.org (full text, mbox):

From: James Vega <jamessan@debian.org>
To: Yaroslav Halchenko <debian@onerussian.com>, 397354@bugs.debian.org
Subject: Re: Bug#397354: debian/watch file and berlios
Date: Tue, 20 Mar 2007 00:05:46 -0400
[Message part 1 (text/plain, inline)]
On Mon, Mar 19, 2007 at 11:41:56PM -0400, Yaroslav Halchenko wrote:
> I am sorry if I am trying to wake up a dead issue, but 
> 
> On Thu, 23 Nov 2006, Julian Gilbey wrote:
> > On Wed, Nov 22, 2006 at 11:17:29AM -0500, Justin Pryzby wrote:
> > > I think there are 2 problems:
> > > - Berlios apparently rejects based on User-Agent.
> > Fixed in 2.9.24, I believe.
> 
> Indeed there is a changelog entry:
>   * uscan: set HTTP user agent name (Closes: #397354)
> 
> and current 2.9.27 version of uscan has:
> 
> $user_agent->agent('Debian uscan 2.9.27');
> 
> and my uscan fails with:
> 
> ,---
> | -- In debian/watch, processing watchfile line:
> |    opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=7729  http://prdownload.berlios.de/keyjnotegui/keyjnotegui-(.*).tar.bz2
> | uscan warning: In watchfile debian/watch, reading webpage
> |  http://developer.berlios.de/project/showfiles.php?group_id=7729 failed: 403 Forbidden
> `---
> 
> so imho issue persists since berlios seems to don't allow uscan as the
> agent effectively bringing #397354 back alive:

Has anyone tried contacting people at Berlios to see if they would be
averse to allowing devscripts to connect?

James
-- 
GPG Key: 1024D/61326D40 2003-09-02 James Vega <jamessan@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#397354; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@polya.uklinux.net>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. Full text and rfc822 format available.

Message #27 received at 397354@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@polya.uklinux.net>
To: Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: debian/watch file and berlios
Date: Tue, 20 Mar 2007 09:02:17 +0000
On Mon, Mar 19, 2007 at 11:41:56PM -0400, Yaroslav Halchenko wrote:
> I am sorry if I am trying to wake up a dead issue, but 
> [...]
> and current 2.9.27 version of uscan has:
> 
> $user_agent->agent('Debian uscan 2.9.27');
> 
> and my uscan fails with:
> 
> ,---
> | -- In debian/watch, processing watchfile line:
> |    opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=7729  http://prdownload.berlios.de/keyjnotegui/keyjnotegui-(.*).tar.bz2
> | uscan warning: In watchfile debian/watch, reading webpage
> |  http://developer.berlios.de/project/showfiles.php?group_id=7729 failed: 403 Forbidden
> `---
> 
> so imho issue persists since berlios seems to don't allow uscan as the
> agent effectively bringing #397354 back alive:

So if we cheat and add "Lynx" in the User-Agent string, all should
work, yes?

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#397354; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. Full text and rfc822 format available.

Message #32 received at 397354@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: helix@users.berlios.de
Cc: debian-mentors@lists.debian.org, devscripts@packages.debian.org, 397354@bugs.debian.org, 409137@bugs.debian.org
Subject: Re: debian/watch file and berlios
Date: Tue, 20 Mar 2007 13:56:42 -0400
[Message part 1 (text/plain, inline)]
Dear Lutz,

I am a Debian developer who packages a FOSS software hosted at
berlios.de.  As a part of packaging, we use a convenience tool named
uscan which checks the upstream page for available new versions.
Since some time ago, berlios's website is not allowing the tool to use
its native Agent string ("Debian uscan 2.9.27") and forbids the access.

Is there a chance to adjust web server configuration to allow uscan to
access the pages? If it is not of your responsibility, could you
please forward this request to appropriate person?

For the reference and examples of invocation please see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=397354
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=409137

Thank you in advance for your help

Cheers
Yarik

On Mon, 19 Mar 2007, Yaroslav Halchenko wrote:

> I am sorry if I am trying to wake up a dead issue, but 

> On Thu, 23 Nov 2006, Julian Gilbey wrote:
> > On Wed, Nov 22, 2006 at 11:17:29AM -0500, Justin Pryzby wrote:
> > > I think there are 2 problems:
> > > - Berlios apparently rejects based on User-Agent.
> > Fixed in 2.9.24, I believe.

> Indeed there is a changelog entry:
>   * uscan: set HTTP user agent name (Closes: #397354)

> and current 2.9.27 version of uscan has:

> $user_agent->agent('Debian uscan 2.9.27');

> and my uscan fails with:

> ,---
> | -- In debian/watch, processing watchfile line:
> |    opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=7729  http://prdownload.berlios.de/keyjnotegui/keyjnotegui-(.*).tar.bz2
> | uscan warning: In watchfile debian/watch, reading webpage
> |  http://developer.berlios.de/project/showfiles.php?group_id=7729 failed: 403 Forbidden
> `---

> so imho issue persists since berlios seems to don't allow uscan as the
> agent effectively bringing #397354 back alive:

> ,---
> | *$>  lynx -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729' | head -3

> |       [1]BerliOS :    [2]DevCounter   [3]WebCalendar   [4]Developer
> |     [5]SourceAgency   [6]SourceLines    [7]Partners   [8]Contact Us

> | $>  lynx -useragent='Debian uscan 2.9.27' -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729'
> | Warning: User-Agent string does not contain "Lynx" or "L_y_n_x"!

> |                                    Forbidden

> |    You don't have permission to access /project/showfiles.php on this
> |    server.
> |      _________________________________________________________________


> |     Apache/1.3.34 Server at developer.berlios.de Port 80
> `---


> P.S. Sorry for an extensive list of Addressees -- just wanted to
> follow-up on existing thread/issue.
-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#397354; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. Full text and rfc822 format available.

Message #37 received at 397354@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Lutz Henckel <lutz.henckel@fokus.fraunhofer.de>
Cc: 409137-done@bugs.debian.org, debian-mentors@lists.debian.org, devscripts@packages.debian.org, 397354@bugs.debian.org
Subject: Re: debian/watch file and berlios
Date: Thu, 22 Mar 2007 09:24:10 -0400
Thank you Lutz!
Just checked  -- it worked!

On Thu, 22 Mar 2007, Lutz Henckel wrote:

> Hi Yarik,
> is should work again. A wrong configuration has forbidded
> access of User Agents beginning with "D".

> Ciao
> Lutz


> Yaroslav Halchenko schrieb:
> >Dear Lutz,
> >I am a Debian developer who packages a FOSS software hosted at
> >berlios.de.  As a part of packaging, we use a convenience tool named
> >uscan which checks the upstream page for available new versions.
> >Since some time ago, berlios's website is not allowing the tool to use
> >its native Agent string ("Debian uscan 2.9.27") and forbids the access.
> >Is there a chance to adjust web server configuration to allow uscan to
> >access the pages? If it is not of your responsibility, could you
> >please forward this request to appropriate person?
> >For the reference and examples of invocation please see
> >http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=397354
> >http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=409137
> >Thank you in advance for your help
> >Cheers
> >Yarik
> >On Mon, 19 Mar 2007, Yaroslav Halchenko wrote:
> >>I am sorry if I am trying to wake up a dead issue, but 
> >>On Thu, 23 Nov 2006, Julian Gilbey wrote:
> >>>On Wed, Nov 22, 2006 at 11:17:29AM -0500, Justin Pryzby wrote:
> >>>>I think there are 2 problems:
> >>>>- Berlios apparently rejects based on User-Agent.
> >>>Fixed in 2.9.24, I believe.
> >>Indeed there is a changelog entry:
> >>  * uscan: set HTTP user agent name (Closes: #397354)
> >>and current 2.9.27 version of uscan has:
> >>$user_agent->agent('Debian uscan 2.9.27');
> >>and my uscan fails with:
> >>,---
> >>| -- In debian/watch, processing watchfile line:
> >>|    opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=7729  
> >>http://prdownload.berlios.de/keyjnotegui/keyjnotegui-(.*).tar.bz2
> >>| uscan warning: In watchfile debian/watch, reading webpage
> >>|  http://developer.berlios.de/project/showfiles.php?group_id=7729 failed: 403 Forbidden
> >>`---
> >>so imho issue persists since berlios seems to don't allow uscan as the
> >>agent effectively bringing #397354 back alive:
> >>,---
> >>| *$>  lynx -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729' | head -3
> >>|       [1]BerliOS :    [2]DevCounter   [3]WebCalendar   [4]Developer
> >>|     [5]SourceAgency   [6]SourceLines    [7]Partners   [8]Contact Us
> >>| $>  lynx -useragent='Debian uscan 2.9.27' -dump 'http://developer.berlios.de/project/showfiles.php?group_id=7729'
> >>| Warning: User-Agent string does not contain "Lynx" or "L_y_n_x"!
> >>|                                    Forbidden
> >>|    You don't have permission to access /project/showfiles.php on this
> >>|    server.
> >>|      _________________________________________________________________
> >>|     Apache/1.3.34 Server at developer.berlios.de Port 80
> >>`---
> >>P.S. Sorry for an extensive list of Addressees -- just wanted to
> >>follow-up on existing thread/issue.
-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-5440x263 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 22:26:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:06:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.